package com.sooka.system.gas.aofe_meter_reading_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 奥枫收费系统-抄表信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiAofeMeterReadingInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 用户编号 */
    @Excel(name = "用户编号" )
    private String f_userid;

    /** 用户姓名/单位名称 */
    @Excel(name = "用户姓名/单位名称" )
    private String f_username;

    /** 用户类型 */
    @Excel(name = "用户类型" )
    private String f_usertype;

    /** 小区名称 */
    @Excel(name = "小区名称" )
    private String f_districtname;

    /** 小区地址 */
    @Excel(name = "小区地址" )
    private String f_address;

    /** 所属分公司 */
    @Excel(name = "所属分公司" )
    private String f_filiale;

    /** 网点 */
    @Excel(name = "网点" )
    private String f_network;

    /** 操作员 */
    @Excel(name = "操作员" )
    private String f_operator;

    /** 应交气量 */
    @Excel(name = "应交气量" )
    private String oughtamount;

    /** 应交金额 */
    @Excel(name = "应交金额" )
    private String oughtfee;

    /** 本次抄表底数 */
    @Excel(name = "本次抄表底数" )
    private String lastrecord;

    /** 上次抄表底数 */
    @Excel(name = "上次抄表底数" )
    private String lastinputgasnum;

    /** 日期 */
    @Excel(name = "日期" )
    private String f_inputdate;

    /** 上次抄表日期 */
    @Excel(name = "上次抄表日期" )
    private String scinputdate;

    /** 抄表计划日期 */
    @Excel(name = "抄表计划日期" )
    private String f_handdate;

    /** 是否缴费 */
    @Excel(name = "是否缴费" )
    private String shifoujiaofei;

    /** 交费截至日期 */
    @Excel(name = "交费截至日期" )
    private String f_endjfdate;

    /** 抄表单状态 */
    @Excel(name = "抄表单状态" )
    private String f_state;

    /** 收费记录id */
    @Excel(name = "收费记录id" )
    private String f_sellid;

    /** 滞纳金 */
    @Excel(name = "滞纳金" )
    private String f_zhinajin;

    /** 滞纳金开始计算日期 */
    @Excel(name = "滞纳金开始计算日期" )
    private String f_zhinajindate;

    /** 滞纳金天数 */
    @Excel(name = "滞纳金天数" )
    private String f_zhinajintianshu;

    public String getFuserid()
    {
        return f_userid;
    }

    public String getFusername()
    {
        return f_username;
    }

    public String getFusertype()
    {
        return f_usertype;
    }

    public String getFdistrictname()
    {
        return f_districtname;
    }

    public String getFaddress()
    {
        return f_address;
    }

    public String getFfiliale()
    {
        return f_filiale;
    }

    public String getFnetwork()
    {
        return f_network;
    }

    public String getFoperator()
    {
        return f_operator;
    }

    public String getOughtamount()
    {
        return oughtamount;
    }

    public String getOughtfee()
    {
        return oughtfee;
    }

    public String getLastrecord()
    {
        return lastrecord;
    }

    public String getLastinputgasnum()
    {
        return lastinputgasnum;
    }

    public String getFinputdate()
    {
        if(f_inputdate == null){
            return null;
        }else if(f_inputdate.contains(".")){
            return f_inputdate.split("\\.")[0];
        }else {
            return f_inputdate;
        }
    }

    public String getScinputdate()
    {
        if(scinputdate == null){
            return null;
        }else if(scinputdate.contains(".")){
            return scinputdate.split("\\.")[0];
        }else {
            return scinputdate;
        }
    }

    public String getFhanddate()
    {
        if(f_handdate == null){
            return null;
        }else if(f_handdate.contains(".")){
            return f_handdate.split("\\.")[0];
        }else {
            return f_handdate;
        }
    }

    public String getShifoujiaofei()
    {
        return shifoujiaofei;
    }

    public String getFendjfdate()
    {
        if(f_endjfdate == null){
            return null;
        }else if(f_endjfdate.contains(".")){
            return f_endjfdate.split("\\.")[0];
        }else {
            return f_endjfdate;
        }
    }

    public String getFstate()
    {
        return f_state;
    }

    public String getFsellid()
    {
        return f_sellid;
    }

    public String getFzhinajin()
    {
        return f_zhinajin;
    }

    public String getFzhinajindate()
    {
        if(f_zhinajindate == null){
            return null;
        }else if(f_zhinajindate.contains(".")){
            return f_zhinajindate.split("\\.")[0];
        }else {
            return f_zhinajindate;
        }
    }

    public String getFzhinajintianshu()
    {
        return f_zhinajintianshu;
    }
}
